Subject: Re: Current work items
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 8 Mar 2000 02:05:00 -0800 (PST)

Bruce -

We have set up an on-site meeting with UAE next Wednesday (Mar  in Boston 
(Lowell, MA actually).  We will be arriving around noon, so an early am 
flight into Boston would probably work.  I don't know what your calendar is 
like, but I hope you can fit this meeting in, as your inclusion in imperative.

Also, FYI, I am going to be with Reed and one of his Fin guys in Bank meeting 
earlier in the week, so we should have some more ideas regarding their 
options (if any) in financing structures for the project.

Regards,

Tom